Index: trunk/MagicSoft/Mars/datacenter/scripts/runstar
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/runstar	(revision 7920)
+++ trunk/MagicSoft/Mars/datacenter/scripts/runstar	(revision 7927)
@@ -43,7 +43,4 @@
 
 column=fStar
-#pno=500 # number of processes, i.e. number of todo-files
-
-lockfile=$lockpath/lock-getting-$program-list.txt
 
 scriptlogpath=$logpath/run/$program/`date +%Y/%m/%d`
@@ -53,72 +50,39 @@
 date >> $scriptlog 2>&1
 
-# get todo file
-possibletodofiles=`ls -r $listpath/ToDo-*-$column-*.txt`  >> $scriptlog 2>&1
-if [ "$possibletodofiles" = "" ]
-then 
-   echo "ERROR: in $program no todofiles found => something went wrong in jobmanager"
-   finish >> $scriptlog 2>&1
-else
-   singleprocess="yes"
-   echo "todofiles: "${possibletodofiles[@]} >> $scriptlog 2>&1
-   for possibletodofile in ${possibletodofiles[@]}
-   do 
-      if ! ls $possibletodofile >> $scriptlog 2>&1
-      then 
-         echo "file is not on disk -> continue" >> $scriptlog 2>&1
-         continue
-      fi
-      lockfile=`echo $possibletodofile | sed -e 's/lists/locks/' -e 's/ToDo/lock/'`
-      checklock >> $scriptlog 2>&1
-      todofile=$possibletodofile
-   done
-fi
-if [ "$todofile" = "" ]
-then 
-   echo "no todofile found -> exit"  >> $scriptlog 2>&1
-   finish >> $scriptlog 2>&1
-fi
+# get sequence # 
+gettodo >> $scriptlog 2>&1
+sequence=$process
 
-# retrieve sequence from todo file
-sequences=(`cat $todofile`)
-if [ "$sequences" = "" ]
-then 
-   echo "nothing to do -> exit"  >> $scriptlog 2>&1
-   finish >> $scriptlog 2>&1
-fi
-echo "sequences: "${sequences[@]} >> $scriptlog 2>&1
-rm -v $todofile >> $scriptlog 2>&1
+# lock sequ
+lockfile=$lockpath/lock-$table-$column-$sequence.txt
+checklock >> $scriptlog 2>&1
 
 cd $mars
 
-# run star for sequence
-for sequence in ${sequences[@]}
-do 
-  echo "run $program for sequence $sequence..." >> $scriptlog 2>&1
-  no=`printf %08d $sequence | cut -c 0-4`
-  no2=`printf %08d $sequence`
-  var1=$no
-  var2=$no2
-  outpath="$datapath/$program/$no/$no2"
-  inpath=`echo $outpath | sed -e 's/star/callisto/'`
-  makedir $outpath >> $scriptlog 2>&1
+echo "run $program for sequence $sequence..." >> $scriptlog 2>&1
+no=`printf %08d $sequence | cut -c 0-4`
+no2=`printf %08d $sequence`
+var1=$no
+var2=$no2
+outpath="$datapath/$program/$no/$no2"
+inpath=`echo $outpath | sed -e 's/star/callisto/'`
+makedir $outpath >> $scriptlog 2>&1
 
-  sequfile="$sequpath/$no/sequence$no2.txt"
-  
-  setstatus "start" >> $scriptlog 2>&1
+sequfile="$sequpath/$no/sequence$no2.txt"
 
-  ./star -b -q -v4 -f --log=$outpath/$program$no2.log --html=$outpath/$program$no2.html --ind=$inpath --out=$outpath $sequfile  2>> $scriptlog> /dev/null
-  check1=$?
+setstatus "start" >> $scriptlog 2>&1
 
-  case $check1 in
-     0)   echo " check1=$check1 -> everything ok " >> $scriptlog 2>&1;;
-     *)   echo " check1=$check1 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1
-          com=$Fstar
-          check=$check1
-          ;;
-  esac
-  
-  setstatus "stop" >> $scriptlog 2>&1
-done
+./star -b -q -v4 -f --log=$outpath/$program$no2.log --html=$outpath/$program$no2.html --ind=$inpath --out=$outpath $sequfile  2>> $scriptlog> /dev/null
+check1=$?
+
+case $check1 in
+   0)   echo " check1=$check1 -> everything ok " >> $scriptlog 2>&1;;
+   *)   echo " check1=$check1 -> ERROR -> step has to be repeated" >> $scriptlog 2>&1
+        com=$Fstar
+        check=$check1
+        ;;
+esac
+
+setstatus "stop" >> $scriptlog 2>&1
 
 finish >> $scriptlog 2>&1
